import { Props } from '../../utils/props';
export interface ListProps extends Props {
    data: {
        [key: string]: any;
    }[];
    columns: {
        [key: string]: any;
    }[];
    sliceCount: number;
    backgroundColor: string;
    useRanking: boolean;
    useTitle: boolean;
    columnCount: number;
    itemWidth: string;
    itemHeight: string;
    itemColSpan: string;
    itemRowSpan: string;
    itemPadding: string;
    seqIcon: boolean;
    isUseSeq: boolean;
    seqWidth: string;
    seqName: string;
    seqFontSize: string;
    isAutoScroll: boolean;
    scrollSpeed: number;
    graphicConfig: {
        [key: string]: any;
    };
    seqIconWidth: string;
    seqIconHeight: string;
    seqIconConfig: {
        [key: string]: any;
    }[];
    seqIconOffsetX: number;
    seqIconOffsetY: number;
    seqIndexFormatter: string;
}
export declare const listProps: ListProps;
export declare const listComponentProps: {
    data: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    columns: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    sliceCount: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    backgroundColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    useRanking: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    useTitle: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    columnCount: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    itemWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    itemHeight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    itemColSpan: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    itemRowSpan: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    itemPadding: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    seqIcon: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isUseSeq: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    seqWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    seqName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    seqFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isAutoScroll: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    scrollSpeed: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    graphicConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    seqIconWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    seqIconHeight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    seqIconConfig: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    seqIconOffsetX: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    seqIconOffsetY: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    seqIndexFormatter: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    name: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    position: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    top: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    left: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    zIndex: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    rotate: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShow: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isRender: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<import('../../utils/props').Events>;
        default?: import('../../utils/props').Events;
    };
    requestUrl: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    requestMethod: {
        type?: import("vue").PropType<import('../../utils/props').RequestMethod>;
        default?: import('../../utils/props').RequestMethod;
    };
    requestHeaders: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isOpenRequestTimer: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isViewRedrawing: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    requestInterval: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParams: {
        type?: import("vue").PropType<import('../../utils/props').RequestParams>;
        default?: import('../../utils/props').RequestParams;
    };
    requestSort: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    dataType: {
        type?: import("vue").PropType<"indicator" | "request" | "static" | "component">;
        default?: "indicator" | "request" | "static" | "component";
    };
    scale?: {
        type?: import("vue").PropType<number>;
        default?: number;
    };
    requestParamsMode: {
        type?: import("vue").PropType<"2" | "1">;
        default?: "2" | "1";
    };
    customRequestParams: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    dataSetParam?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    requestType?: {
        type?: import("vue").PropType<any>;
        default?: any;
    };
    componentDoc?: {
        type?: import("vue").PropType<null>;
        default?: null;
    };
    extendData?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }>;
        default?: {
            [key: string]: any;
        };
    };
    toolboxShow?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowIndDetail?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    isShowTrend?: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    indDetailIconColor?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    indDetailIconFontSize?: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
};
export interface ListEvents {
    refreshData: () => void;
    click: () => void;
    resetRecord: () => void;
}
export declare const listEvents: Array<keyof ListEvents>;
